Package org.eclipse.birt.report.model.api.extension

# Interface IReportItemFactory

All Known Implementing Classes:
  `ReportItemFactory`

public interface IReportItemFactory
Represents the peer extension itself. Provides metadata about the extension. It has two parts: the extension (`IReportItemFactory`) and an instance of the extension (`IReportItem`). This class defines the meta-data that is the same across all instances. The default constructor must be provided because extension loader will instantiate the class with default constructor.

## Method Summary

Modifier and Type
Method
Description
`IStyleDeclaration[]`
`getFactoryStyles(String extensionName)`
Returns the list of default styles that defined for the extension element.
`IMessages`
`getMessages()`
Returns the `IMessages`, which can get localized message for the given resource key and locale.
`IReportItem`
`newReportItem(DesignElementHandle extendedItemHandle)`
Creates a new instance of the extended element given a handle to the BIRT report element that represents the extended element.

## Method Details

### newReportItem

IReportItem newReportItem(DesignElementHandle extendedItemHandle)
Creates a new instance of the extended element given a handle to the BIRT report element that represents the extended element.

Parameters:
  `extendedItemHandle` - the BIRT report item that represents the extended element
Returns:
  a new peer element

### getMessages

IMessages getMessages()
Returns the `IMessages`, which can get localized message for the given resource key and locale.

Returns:
  the I18N class implementing `IMessages`

### getFactoryStyles

IStyleDeclaration[] getFactoryStyles(String extensionName)
Returns the list of default styles that defined for the extension element.

Parameters:
  `extensionName` - the extension name of the element
Returns:
  default style list.